The average token price during the specified time period for the native asset of that chain.
cURL
curl --request GET \ --url https://api.blockworks.com/v1/metrics/token-price-usd \ --header 'x-api-key: <api-key>'
{ "projectName": [ { "date": "2025-08-10", "value": 123456.789 }, { "date": "2025-08-11", "value": 234567.89 }, { "date": "2025-08-12", "value": 345678.901 } ] }
curl -H "x-api-key: YOUR_API_KEY" \ "https://api.blockworks.com/v1/metrics/token-price-usd?project=fogo"
{ "fogo": [ { "date": "2026-02-20", "value": 0.02356380467878831 }, { "date": "2026-02-19", "value": 0.025019962580709158 }, { "date": "2026-02-18", "value": 0.024613242249056574 }, { "date": "2026-02-17", "value": 0.024004735015701956 }, { "date": "2026-02-16", "value": 0.022136782400259816 }, { "date": "2026-02-15", "value": 0.022953415608565512 } ] }
Project slug (comma-separated for multiple).
arbitrum
ethereum
fogo
solana
"arbitrum"
Start date (YYYY-MM-DD)
End date (YYYY-MM-DD)
OK